• Pricing
  • Blog
Log inBook a demo
Cancel a payment link POSTCharge a customer POSTCreate a payment link POSTGet payment GETList payments GET
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List payments

List payments with cursor-based pagination. Filter by customer.

GET
/payments

List payments with cursor-based pagination. Filter by customer.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
customerId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payments"
{  "object": "list",  "data": [    {      "id": "string",      "customerId": "string",      "kind": "link",      "status": "pending",      "provider": "stripe",      "amountSubtotal": -9007199254740991,      "taxAmount": -9007199254740991,      "amountTotal": -9007199254740991,      "currency": "string",      "description": "string",      "metadata": {        "property1": null,        "property2": null      },      "url": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "payment",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get payment GET

Retrieve a payment by its public ID.

Add a payout bank account POST

Add an additional destination bank account to the organization's existing payout account. Country and currency are resolved from the organization. The full account number is never returned — only `last4`.